aboutsummaryrefslogtreecommitdiff
path: root/capcom
diff options
context:
space:
mode:
Diffstat (limited to 'capcom')
-rwxr-xr-xcapcom8
1 files changed, 8 insertions, 0 deletions
diff --git a/capcom b/capcom
new file mode 100755
index 0000000..6c0569d
--- /dev/null
+++ b/capcom
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+# Capitalize given commit messages
+
+[ $# -eq 0 ] && { echo "usage: $0 rev-list" 1>&2; exit 1; }
+
+FILTER_BRANCH_SQUELCH_WARNING=1 \
+git filter-branch --msg-filter 'awk -vFS= -vOFS= "NR==1{\$1=toupper(\$1); print \$0} NR>1{print}"' "$@"